<!--

function GuReturnElement(GuElementName) {
	if (document.getElementById) {
		return document.getElementById(GuElementName);
		}
	else {
		if (document.all) {
			return document.all[GuElementName];
			}
		else {
			if (document.layers) {
				return document.layers[GuElementName];
				}
			else {
				return (GuElementName);
				}
			}
		}
	}


function GuReturnWindowSize(GuSizeName) {
	if ((GuSizeName!=null)&&(GuSizeName!="")) {
		var GuBrowserWindowWidth=0;
		var GuBrowserWindowHeight=0;
		if (window.innerWidth) {
			GuBrowserWindowWidth=window.innerWidth;
			}
		else
			if ((document.body)&&(document.body.clientWidth)) {
				GuBrowserWindowWidth=document.body.clientWidth;
				}
		if (window.innerHeight) {
			GuBrowserWindowHeight=window.innerHeight;
			}
		else
			if ((document.body)&&(document.body.clientHeight)) {
				GuBrowserWindowHeight=document.body.clientHeight;
				}
		if (document.documentElement&&document.documentElement.clientWidth&&document.documentElement.clientHeight) {
			GuBrowserWindowWidth=document.documentElement.clientWidth;
			GuBrowserWindowHeight=document.documentElement.clientHeight;
			}
		if (GuSizeName=="width") {
			return (GuBrowserWindowWidth);
			}
		if (GuSizeName=="height") {
			return (GuBrowserWindowHeight);
			}
		}
	}


function GuDateTimeCheck(GuElementName) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		if ((GuReturnElement(GuElementName+'Month').value==1)||(GuReturnElement(GuElementName+'Month').value==3)||(GuReturnElement(GuElementName+'Month').value==5)||(GuReturnElement(GuElementName+'Month').value==7)||(GuReturnElement(GuElementName+'Month').value==8)||(GuReturnElement(GuElementName+'Month').value==10)||(GuReturnElement(GuElementName+'Month').value==12)) {
			GuReturnElement(GuElementName+'Day').options[28].disabled=false;
			GuReturnElement(GuElementName+'Day').options[29].disabled=false;
			GuReturnElement(GuElementName+'Day').options[30].disabled=false;
			}
		if (GuReturnElement(GuElementName+'Month').value==2) {
			if (((GuReturnElement(GuElementName+'Year').value%4)==0)&&((GuReturnElement(GuElementName+'Year').value%100)!=0)||((GuReturnElement(GuElementName+'Year').value%400)==0)) {
				GuReturnElement(GuElementName+'Day').options[28].disabled=false;
				GuReturnElement(GuElementName+'Day').options[29].disabled=true;
				GuReturnElement(GuElementName+'Day').options[30].disabled=true;
				}
			else {
				GuReturnElement(GuElementName+'Day').options[28].disabled=true;
				GuReturnElement(GuElementName+'Day').options[29].disabled=true;
				GuReturnElement(GuElementName+'Day').options[30].disabled=true;
				}
			}
		if ((GuReturnElement(GuElementName+'Month').value==4)||(GuReturnElement(GuElementName+'Month').value==6)||(GuReturnElement(GuElementName+'Month').value==9)||(GuReturnElement(GuElementName+'Month').value==11)) {
			GuReturnElement(GuElementName+'Day').options[28].disabled=false;
			GuReturnElement(GuElementName+'Day').options[29].disabled=false;
			GuReturnElement(GuElementName+'Day').options[30].disabled=true;
			}
		}
	}


function GuDateTimeToday(GuElementName) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		var GuDateTimePresent=new Date();
		if (GuReturnElement(GuElementName+'Year')!=null) {
			GuReturnElement(GuElementName+'Year').value=GuDateTimePresent.getFullYear();
			}
		if (GuReturnElement(GuElementName+'Month')!=null) {
			GuReturnElement(GuElementName+'Month').value=GuDateTimePresent.getMonth()+1;
			}
		if (GuReturnElement(GuElementName+'Day')!=null) {
			GuReturnElement(GuElementName+'Day').value=GuDateTimePresent.getDate();
			}
		if (GuReturnElement(GuElementName+'Hour')!=null) {
			GuReturnElement(GuElementName+'Hour').value=GuDateTimePresent.getHours();
			}
		if (GuReturnElement(GuElementName+'Minute')!=null) {
			GuReturnElement(GuElementName+'Minute').value=GuDateTimePresent.getMinutes();
			}
		if (GuReturnElement(GuElementName+'Second')!=null) {
			GuReturnElement(GuElementName+'Second').value=GuDateTimePresent.getSeconds();
			}
		}
	}


function GuElementInnerHTML(GuElementName,GuElementData) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		if ((GuElementData!=null)&&(GuElementData!="")) {
			if (GuReturnElement(GuElementName)!=null) {
				GuReturnElement(GuElementName).innerHTML=GuElementData;
				}
			}
		}
	}


function GuElementStyleFont(GuElementNA,GuElementNB,GuFontFamily,GuFontSize,GuFontColor,GuImageURL,GuElementValue) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		if ((GuFontFamily!=null)&&(GuFontFamily!="")) {
			if (GuReturnElement(GuElementNA)) {
				GuReturnElement(GuElementNA).style.fontFamily=GuFontFamily;
				}
			else {
				GuElementNA.style.fontFamily=GuFontFamily.value;
				}
			}
		if ((GuFontSize!=null)&&(GuFontSize!="")) {
			if (GuReturnElement(GuElementNA)) {
				GuReturnElement(GuElementNA).style.fontSize=GuFontSize;
				}
			else {
				GuElementNA.style.fontSize=GuFontSize.value;
				}
			}
		if ((GuFontColor!=null)&&(GuFontColor!="")) {
			if (GuReturnElement(GuElementNA)) {
				GuReturnElement(GuElementNA).style.color=GuFontColor;
				}
			else {
				GuElementNA.style.color=GuFontColor.value;
				}
			}
		if ((GuImageURL!=null)&&(GuImageURL!="")) {
			GuReturnElement(GuElementNA).style.backgroundImage="url("+GuImageURL+")";
			}
		if ((GuElementValue!=null)&&(GuElementValue!="")) {
			GuReturnElement(GuElementNA).value=GuElementValue;
			}
		}
	if ((GuElementNB!=null)&&(GuElementNB!="")) {
		if ((GuFontFamily!=null)&&(GuFontFamily!="")) {
			if (GuReturnElement(GuElementNB)) {
				GuReturnElement(GuElementNB).style.fontFamily=GuFontFamily;
				}
			else {
				GuElementNB.style.fontFamily=GuFontFamily.value;
				}
			}
		if ((GuFontSize!=null)&&(GuFontSize!="")) {
			if (GuReturnElement(GuElementNB)) {
				GuReturnElement(GuElementNB).style.fontSize=GuFontSize;
				}
			else {
				GuElementNB.style.fontSize=GuFontSize.value;
				}
			}
		if ((GuFontColor!=null)&&(GuFontColor!="")) {
			if (GuReturnElement(GuElementNB)) {
				GuReturnElement(GuElementNB).style.color=GuFontColor;
				}
			else {
				GuElementNB.style.color=GuFontColor.value;
				}
			}
		if ((GuImageURL!=null)&&(GuImageURL!="")) {
			GuReturnElement(GuElementNB).style.backgroundImage="url("+GuImageURL+")";
			}
		if ((GuElementValue!=null)&&(GuElementValue!="")) {
			GuReturnElement(GuElementNB).value=GuElementValue;
			}
		}
	}


function GuCopyClipboard(GuElementName) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		GuElementName.select();
		document.execCommand('Copy');
		}
	}


function GuCutClipboard(GuElementName) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		GuElementName.select();
		document.execCommand('Cut');
		}
	}


function GuPasteClipboard(GuElementName) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		GuElementName.focus();
		document.execCommand('Paste');
		}
	}


function GuPreviewString(GuElementName) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		var GuWindow=window.open('','','');
		GuWindow.opener=null;
		GuWindow.document.write(GuElementName.value);
		GuWindow.document.close();
		}
	}


function GuSaveString(GuElementName,GuFileName,GuFileType) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		if ((GuFileName==null)||(GuFileName=="")) {
			GuFileName="输入文件名.html";
			}
		else {
			GuFileName=GuFileName;
			}
		var GuWindow=window.open('text/html','gb2312');
		GuWindow.document.write(GuElementName.value);
		GuWindow.document.execCommand('SaveAs',true,GuFileName);
		GuWindow.close();
		}
	}


function GuFormLength(GuElementName,GuElementB,GuElementLength) {
	if (GuElementName.value.length>GuElementLength) {
		GuElementName.value=GuElementName.value.substring(0,GuElementLength);
		}
	else {
		GuElementB.value=GuElementLength-GuElementName.value.length;
		}
	}


function GuFormOperation(GuProportionType,GuElementA,GuElementB,GuElementProportion) {
	if ((GuProportionType!=null)&&(GuProportionType!="")) {
//		if (GuProportionType=="Addition") {
//
//			}
//		if (GuProportionType=="Subtraction") {
//
//			}
		if (GuProportionType=="Multiplication") {
			if (GuElementProportion>=1) {
				GuElementB.value=Math.floor(GuElementA.value*GuElementProportion);
				}
			else {
				GuElementB.value="0";
				}
			}
		if (GuProportionType=="Division") {
			if ((GuElementA.value>=GuElementProportion)&&(GuElementProportion>=1)) {
				GuElementB.value=Math.floor(GuElementA.value/GuElementProportion);
				}
			else {
				GuElementB.value="0";
				}
			}
		}
	}


function GuSubmitConfirm(GuConfirmMessage,GuFormName,GuFormAction,GuElementNA,GuElementNB) {
	if ((GuFormName!=null)&&(GuFormName!="")) {
		var GuElementCA=0;
		var GuElementCB=0;
		if ((GuElementNA!=null)&&(GuElementNA!="")) {
			for (var i=0;i<GuElementNA.length;i++) {
				if (GuElementNA[i].checked==true) {
					GuElementCA++;
					}
				}
			}
		if ((GuElementNB!=null)&&(GuElementNB!="")) {
			for (var i=0;i<GuElementNB.length;i++) {
				if (GuElementNB[i].checked==true) {
					GuElementCB++;
					}
				}
			}
		if ((GuElementCA>0)||(GuElementCB>0)) {
			if (confirm(GuConfirmMessage)) {
				GuFormName.action=GuFormAction;
				GuFormName.submit();
				}
			}
		else {
			GuFormName.action=GuFormAction;
			GuFormName.submit();
			}
		}
	}


function GuCookiesCreate(GuCookiesName,GuCookiesValue,GuCookiesExpires,GuCookiesPath,GuCookiesDomain,GuCookiesSecure) {
	if ((GuCookiesName!=null)&&(GuCookiesName!="")) {
		var GuCookiesString=GuCookiesName+"="+escape(GuCookiesValue);
		if (GuCookiesExpires!=null) {
			var GuNewDate=new Date();
			GuNewDate.setTime(GuNewDate.getTime()+GuCookiesExpires*24*60*60*1000);
			GuCookiesString+=";expires="+GuNewDate.toGMTString();
			}
		if (GuCookiesPath!=null) {
			GuCookiesString+=";path="+GuCookiesPath;
			}
		if (GuCookiesDomain!=null) {
			GuCookiesString+=";domain="+GuCookiesDomain;
			}
		if (GuCookiesSecure!=null) {
			GuCookiesString+=";secure="+GuCookiesSecure;
			}
		document.cookie=GuCookiesString;
		}
	}


function GuCookiesDelete(GuCookiesName,GuCookiesPath,GuCookiesDomain) {
	if ((GuCookiesName!=null)&&(GuCookiesName!="")) {
		var GuCookiesString=GuCookiesName+"=;expires="+(new Date(0)).toGMTString();
		if (GuCookiesPath!=null) {
			GuCookiesString+=";path="+GuCookiesPath;
			}
		if (GuCookiesDomain!=null) {
			GuCookiesString+=";domain="+GuCookiesDomain;
			}
		document.cookie=GuCookiesString;
		}
	}


function GuCookiesRead(GuCookiesName) {
	if ((GuCookiesName!=null)&&(GuCookiesName!="")) {
		var GuCookiesString="(?:;)?"+GuCookiesName+"=([^;]*);?";
		var GuCookiesRegExp=new RegExp(GuCookiesString);
		if (GuCookiesRegExp.test(document.cookie)) {
			return unescape(RegExp["$1"]);
			}
		else {
			return null;
			}
		}
	}


function GuElementCheckedAll(GuElementName) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		for (var i=0;i<GuElementName.length;i++) {
			GuElementName[i].checked=true;
			}
		}
	}


function GuElementCheckedReverse(GuElementName) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		for (var i=0;i<GuElementName.length;i++) {
			GuElementName[i].checked=!GuElementName[i].checked;
			}
		}
	}


function GuElementCheckedClear(GuElementName) {
	if ((GuElementName!=null)&&(GuElementName!="")) {
		for (var i=0;i<GuElementName.length;i++) {
			GuElementName[i].checked=false;
			}
		}
	}


function GuElementCheckedF1to10(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		GuElementNA.checked=false;
		}
	if ((GuElementNB!=null)&&(GuElementNB!="")) {
		GuElementNB.checked=false;
		}
	if ((GuElementNC!=null)&&(GuElementNC!="")) {
		GuElementNC.checked=false;
		}
	if ((GuElementND!=null)&&(GuElementND!="")) {
		GuElementND.checked=false;
		}
	if ((GuElementNE!=null)&&(GuElementNE!="")) {
		GuElementNE.checked=false;
		}
	if ((GuElementNF!=null)&&(GuElementNF!="")) {
		GuElementNF.checked=false;
		}
	if ((GuElementNG!=null)&&(GuElementNG!="")) {
		GuElementNG.checked=false;
		}
	if ((GuElementNH!=null)&&(GuElementNH!="")) {
		GuElementNH.checked=false;
		}
	if ((GuElementNI!=null)&&(GuElementNI!="")) {
		GuElementNI.checked=false;
		}
	if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
		GuElementNJ.checked=false;
		}
	}


function GuElementCheckedFAF9XX(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		if (GuElementNA.checked==false) {
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuElementNB.checked=false;
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuElementNC.checked=false;
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuElementND.checked=false;
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuElementNE.checked=false;
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuElementNF.checked=false;
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuElementNG.checked=false;
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuElementNH.checked=false;
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuElementNI.checked=false;
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuElementNJ.checked=false;
				}
			}
		}
	}


function GuElementCheckedFAT1F8(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		if (GuElementNA.checked==false) {
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuElementNB.checked=true;
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuElementNC.checked=false;
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuElementND.checked=false;
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuElementNE.checked=false;
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuElementNF.checked=false;
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuElementNG.checked=false;
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuElementNH.checked=false;
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuElementNI.checked=false;
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuElementNJ.checked=false;
				}
			}
		}
	}


function GuElementCheckedForT10(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		if (GuElementNA.checked==false) {
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuElementNB.checked=false;
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuElementNC.checked=false;
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuElementND.checked=false;
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuElementNE.checked=false;
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuElementNF.checked=false;
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuElementNG.checked=false;
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuElementNH.checked=false;
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuElementNI.checked=false;
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuElementNJ.checked=false;
				}
			}
		else {
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuElementNB.checked=true;
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuElementNC.checked=true;
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuElementND.checked=true;
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuElementNE.checked=true;
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuElementNF.checked=true;
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuElementNG.checked=true;
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuElementNH.checked=true;
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuElementNI.checked=true;
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuElementNJ.checked=true;
				}
			}
		}
	}


function GuElementCheckedT1to10(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		GuElementNA.checked=true;
		}
	if ((GuElementNB!=null)&&(GuElementNB!="")) {
		GuElementNB.checked=true;
		}
	if ((GuElementNC!=null)&&(GuElementNC!="")) {
		GuElementNC.checked=true;
		}
	if ((GuElementND!=null)&&(GuElementND!="")) {
		GuElementND.checked=true;
		}
	if ((GuElementNE!=null)&&(GuElementNE!="")) {
		GuElementNE.checked=true;
		}
	if ((GuElementNF!=null)&&(GuElementNF!="")) {
		GuElementNF.checked=true;
		}
	if ((GuElementNG!=null)&&(GuElementNG!="")) {
		GuElementNG.checked=true;
		}
	if ((GuElementNH!=null)&&(GuElementNH!="")) {
		GuElementNH.checked=true;
		}
	if ((GuElementNI!=null)&&(GuElementNI!="")) {
		GuElementNI.checked=true;
		}
	if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
		GuElementNJ.checked=true;
		}
	}


function GuElementCheckedT1F9XX(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		GuElementNA.checked=true;
		}
	if ((GuElementNB!=null)&&(GuElementNB!="")) {
		GuElementNB.checked=false;
		}
	if ((GuElementNC!=null)&&(GuElementNC!="")) {
		GuElementNC.checked=false;
		}
	if ((GuElementND!=null)&&(GuElementND!="")) {
		GuElementND.checked=false;
		}
	if ((GuElementNE!=null)&&(GuElementNE!="")) {
		GuElementNE.checked=false;
		}
	if ((GuElementNF!=null)&&(GuElementNF!="")) {
		GuElementNF.checked=false;
		}
	if ((GuElementNG!=null)&&(GuElementNG!="")) {
		GuElementNG.checked=false;
		}
	if ((GuElementNH!=null)&&(GuElementNH!="")) {
		GuElementNH.checked=false;
		}
	if ((GuElementNI!=null)&&(GuElementNI!="")) {
		GuElementNI.checked=false;
		}
	if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
		GuElementNJ.checked=false;
		}
	}


function GuElementCheckedT2F8XX(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		GuElementNA.checked=true;
		}
	if ((GuElementNB!=null)&&(GuElementNB!="")) {
		GuElementNB.checked=true;
		}
	if ((GuElementNC!=null)&&(GuElementNC!="")) {
		GuElementNC.checked=false;
		}
	if ((GuElementND!=null)&&(GuElementND!="")) {
		GuElementND.checked=false;
		}
	if ((GuElementNE!=null)&&(GuElementNE!="")) {
		GuElementNE.checked=false;
		}
	if ((GuElementNF!=null)&&(GuElementNF!="")) {
		GuElementNF.checked=false;
		}
	if ((GuElementNG!=null)&&(GuElementNG!="")) {
		GuElementNG.checked=false;
		}
	if ((GuElementNH!=null)&&(GuElementNH!="")) {
		GuElementNH.checked=false;
		}
	if ((GuElementNI!=null)&&(GuElementNI!="")) {
		GuElementNI.checked=false;
		}
	if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
		GuElementNJ.checked=false;
		}
	}


function GuElementCheckedT3F7XX(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		GuElementNA.checked=true;
		}
	if ((GuElementNB!=null)&&(GuElementNB!="")) {
		GuElementNB.checked=true;
		}
	if ((GuElementNC!=null)&&(GuElementNC!="")) {
		GuElementNC.checked=true;
		}
	if ((GuElementND!=null)&&(GuElementND!="")) {
		GuElementND.checked=false;
		}
	if ((GuElementNE!=null)&&(GuElementNE!="")) {
		GuElementNE.checked=false;
		}
	if ((GuElementNF!=null)&&(GuElementNF!="")) {
		GuElementNF.checked=false;
		}
	if ((GuElementNG!=null)&&(GuElementNG!="")) {
		GuElementNG.checked=false;
		}
	if ((GuElementNH!=null)&&(GuElementNH!="")) {
		GuElementNH.checked=false;
		}
	if ((GuElementNI!=null)&&(GuElementNI!="")) {
		GuElementNI.checked=false;
		}
	if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
		GuElementNJ.checked=false;
		}
	}


function GuElementCheckedTAT9XX(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		if (GuElementNA.checked==true) {
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuElementNB.checked=true;
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuElementNC.checked=true;
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuElementND.checked=true;
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuElementNE.checked=true;
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuElementNF.checked=true;
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuElementNG.checked=true;
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuElementNH.checked=true;
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuElementNI.checked=true;
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuElementNJ.checked=true;
				}
			}
		}
	}


function GuElementCheckedTAF1T8(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		if (GuElementNA.checked==true) {
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuElementNB.checked=false;
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuElementNC.checked=true;
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuElementND.checked=true;
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuElementNE.checked=true;
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuElementNF.checked=true;
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuElementNG.checked=true;
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuElementNH.checked=true;
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuElementNI.checked=true;
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuElementNJ.checked=true;
				}
			}
		else {
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuElementNB.checked=true;
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuElementNC.checked=false;
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuElementND.checked=true;
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuElementNE.checked=false;
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuElementNF.checked=false;
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuElementNG.checked=false;
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuElementNH.checked=false;
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuElementNI.checked=false;
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuElementNJ.checked=false;
				}
			}
		}
	}


function GuElementStyleDisplayB1N9XX(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		GuElementNA.style.display="";
		if ((GuElementNB!=null)&&(GuElementNB!="")) {
			GuElementNB.style.display="none";
			}
		if ((GuElementNC!=null)&&(GuElementNC!="")) {
			GuElementNC.style.display="none";
			}
		if ((GuElementND!=null)&&(GuElementND!="")) {
			GuElementND.style.display="none";
			}
		if ((GuElementNE!=null)&&(GuElementNE!="")) {
			GuElementNE.style.display="none";
			}
		if ((GuElementNF!=null)&&(GuElementNF!="")) {
			GuElementNF.style.display="none";
			}
		if ((GuElementNG!=null)&&(GuElementNG!="")) {
			GuElementNG.style.display="none";
			}
		if ((GuElementNH!=null)&&(GuElementNH!="")) {
			GuElementNH.style.display="none";
			}
		if ((GuElementNI!=null)&&(GuElementNI!="")) {
			GuElementNI.style.display="none";
			}
		if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
			GuElementNJ.style.display="none";
			}
		}
	}


function GuElementStyleDisplayBAB1or(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG) {
	if ((GuElementNA!=null)&&(GuElementNB!=null)) {
		if (GuReturnElement(GuElementNA).style.display=="") {
			GuReturnElement(GuElementNA).style.display="none";
			GuReturnElement(GuElementNB).style.display="";
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuReturnElement(GuElementNE).innerHTML=GuElementNF;
				}
			}
		else {
			GuReturnElement(GuElementNA).style.display="";
			GuReturnElement(GuElementNB).style.display="none";
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuReturnElement(GuElementNC).value=GuElementND.value;
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuReturnElement(GuElementNE).innerHTML=GuElementNG;
				}
			}
		}
	}


function GuElementStyleDisplayBorN10(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		if (GuReturnElement(GuElementNA).style.display=="none") {
			GuReturnElement(GuElementNA).style.display="";
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuReturnElement(GuElementNB).style.display="";
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuReturnElement(GuElementNC).style.display="";
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuReturnElement(GuElementND).style.display="";
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuReturnElement(GuElementNE).style.display="";
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuReturnElement(GuElementNF).style.display="";
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuReturnElement(GuElementNG).style.display="";
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuReturnElement(GuElementNH).style.display="";
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuReturnElement(GuElementNI).style.display="";
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuReturnElement(GuElementNJ).style.display="";
				}
			}
		else {
			GuReturnElement(GuElementNA).style.display="none";
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuReturnElement(GuElementNB).style.display="none";
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuReturnElement(GuElementNC).style.display="none";
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuReturnElement(GuElementND).style.display="none";
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuReturnElement(GuElementNE).style.display="none";
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuReturnElement(GuElementNF).style.display="none";
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuReturnElement(GuElementNG).style.display="none";
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuReturnElement(GuElementNH).style.display="none";
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuReturnElement(GuElementNI).style.display="none";
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuReturnElement(GuElementNJ).style.display="none";
				}
			}
		}
	}


function GuElementStyleDisplayNAB1N9(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		if (GuReturnElement(GuElementNA).style.display=="none") {
			GuReturnElement(GuElementNA).style.display="";
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuReturnElement(GuElementNB).style.display="none";
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuReturnElement(GuElementNC).style.display="none";
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuReturnElement(GuElementND).style.display="none";
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuReturnElement(GuElementNE).style.display="none";
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuReturnElement(GuElementNF).style.display="none";
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuReturnElement(GuElementNG).style.display="none";
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuReturnElement(GuElementNH).style.display="none";
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuReturnElement(GuElementNI).style.display="none";
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuReturnElement(GuElementNJ).style.display="none";
				}
			}
		}
	}


function GuElementStyleDisplayNAN9XX(GuElementNA,GuElementNB,GuElementNC,GuElementND,GuElementNE,GuElementNF,GuElementNG,GuElementNH,GuElementNI,GuElementNJ) {
	if ((GuElementNA!=null)&&(GuElementNA!="")) {
		if (GuReturnElement(GuElementNA).style.display=="none") {
			GuReturnElement(GuElementNA).style.display="";
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuReturnElement(GuElementNB).style.display="none";
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuReturnElement(GuElementNC).style.display="none";
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuReturnElement(GuElementND).style.display="none";
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuReturnElement(GuElementNE).style.display="none";
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuReturnElement(GuElementNF).style.display="none";
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuReturnElement(GuElementNG).style.display="none";
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuReturnElement(GuElementNH).style.display="none";
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuReturnElement(GuElementNI).style.display="none";
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuReturnElement(GuElementNJ).style.display="none";
				}
			}
		else {
			GuReturnElement(GuElementNA).style.display="none";
			if ((GuElementNB!=null)&&(GuElementNB!="")) {
				GuReturnElement(GuElementNB).style.display="none";
				}
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuReturnElement(GuElementNC).style.display="none";
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuReturnElement(GuElementND).style.display="none";
				}
			if ((GuElementNE!=null)&&(GuElementNE!="")) {
				GuReturnElement(GuElementNE).style.display="none";
				}
			if ((GuElementNF!=null)&&(GuElementNF!="")) {
				GuReturnElement(GuElementNF).style.display="none";
				}
			if ((GuElementNG!=null)&&(GuElementNG!="")) {
				GuReturnElement(GuElementNG).style.display="none";
				}
			if ((GuElementNH!=null)&&(GuElementNH!="")) {
				GuReturnElement(GuElementNH).style.display="none";
				}
			if ((GuElementNI!=null)&&(GuElementNI!="")) {
				GuReturnElement(GuElementNI).style.display="none";
				}
			if ((GuElementNJ!=null)&&(GuElementNJ!="")) {
				GuReturnElement(GuElementNJ).style.display="none";
				}
			}
		}
	}


function GuElementVoluationInput(GuElementOption,GuElementNA,GuElementDA,GuElementNB,GuElementDB,GuElementNC,GuElementND,GuElementImageBlock,GuElementImageNone,GuElementWidthBlock,GuElementWidthNone) {
	if (GuElementOption=="Href") {
		if (GuReturnElement(GuElementDB).style.display=="") {
			if ((GuElementDA!=null)&&(GuElementDA!="")) {
				GuReturnElement(GuElementDA).style.display="";
				}
			GuReturnElement(GuElementDB).style.display="none";
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuReturnElement(GuElementNC).style.backgroundImage="url('"+GuElementImageNone+"')";
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuElementND.style.width=GuElementWidthBlock+"px";
				}
			}
		else {
			if ((GuElementDA!=null)&&(GuElementDA!="")) {
				GuReturnElement(GuElementDA).style.display="none";
				}
			GuReturnElement(GuElementDB).style.display="";
			if ((GuElementNC!=null)&&(GuElementNC!="")) {
				GuReturnElement(GuElementNC).style.backgroundImage="url('"+GuElementImageBlock+"')";
				}
			if ((GuElementND!=null)&&(GuElementND!="")) {
				GuElementND.style.width=GuElementWidthNone+"px";
				}
			}
		}
	if (GuElementOption=="Select") {
		if ((GuElementNB.value=="")||(GuElementNB=="")) {
			GuReturnElement(GuElementDA).style.display="";
			GuReturnElement(GuElementDB).style.display="none";
			GuReturnElement(GuElementNC).style.backgroundImage="url('"+GuElementImageNone+"')";
			}
		else {
			GuElementNA.value=GuElementNB.value;
			GuReturnElement(GuElementNC).style.backgroundImage="url('"+GuElementImageBlock+"')";
			}
		}
	}


function GuImageAttribute(GuImageID,GuImagePath) {
	if ((GuImageID!=null)&&(GuImageID!="")) {
		var GuImage=new Image();
		GuImage.src=GuReturnElement(GuImageID).src;
		window.SoftwarePictureWidthReal=GuImage.width;
		window.SoftwarePictureHeightReal=GuImage.height;
		}
	}


function GuImageDimensionProportion(GuTableWidth,GuTableHeight,GuImageID,GuImageWidth,GuImageHeight) {
	var GuProportionWidth=16;
	var GuProportionHeight=16;
	if ((GuTableWidth!=null)&&(GuTableWidth!="")&&(GuTableHeight!=null)&&(GuTableHeight!="")) {
	if ((GuImageID!=null)&&(GuImageID!="")&&(GuImageWidth!=null)&&(GuImageWidth!="")&&(GuImageHeight!=null)&&(GuImageHeight!="")) {
		if ((GuTableWidth>=GuImageWidth)&&(GuTableHeight>=GuImageHeight)) {
			GuProportionWidth=GuImageWidth;
			GuProportionHeight=GuImageHeight;
			}
		else {
			if ((GuTableWidth/GuTableHeight)==(GuImageWidth/GuImageHeight)) {
				GuProportionWidth=GuTableWidth;
				GuProportionHeight=GuTableHeight;
				}
			else {
				var GuProportionValue=GuTableWidth/GuImageWidth;
				if (GuImageHeight*GuProportionValue>GuTableHeight) {
					GuProportionValue=GuTableHeight/GuImageHeight;
					}
				GuProportionWidth=GuImageWidth*GuProportionValue;
				GuProportionHeight=GuImageHeight*GuProportionValue;
				}
			}
		}
		}
	GuReturnElement(GuImageID).style.width=parseInt(GuProportionWidth)+"px";
	GuReturnElement(GuImageID).style.height=parseInt(GuProportionHeight)+"px";
	}


function GuImageZoomSize(GuLayerID,GuImageID,GuZoomType) {
	var GuImageZoomRatio=1;
	var GuImageWidthReal=window.SoftwarePictureWidthReal;
	var GuImageHeightReal=window.SoftwarePictureHeightReal;
	var GuImageWidthPresent=GuReturnElement(GuImageID).width;
	var GuImageHeightPresent=GuReturnElement(GuImageID).height;
	if ((GuImageID!=null)&&(GuImageID!="")) {
		if (GuZoomType=="real") {
			GuReturnElement(GuLayerID).style.top=0+"px";
			GuReturnElement(GuLayerID).style.left=0+"px";
			GuReturnElement(GuImageID).width=window.SoftwarePictureWidthReal;
			GuReturnElement(GuImageID).height=window.SoftwarePictureHeightReal;
			}
		if (GuZoomType=="appropriate") {
			if (GuImageWidthReal>GuReturnWindowSize("width")) {
				GuImageZoomRatio=GuReturnWindowSize("width")/GuImageWidthReal;
				if (GuImageHeightReal*GuImageZoomRatio>GuReturnWindowSize("height")) {
					GuImageZoomRatio=GuReturnWindowSize("height")/GuImageHeightReal;
					}
				}
		else
			if (GuImageHeightReal*GuImageZoomRatio>GuReturnWindowSize("height")) {
				GuImageZoomRatio=GuReturnWindowSize("height")/GuImageHeightReal;
				}
			GuReturnElement(GuLayerID).style.top=0+"px";
			GuReturnElement(GuLayerID).style.left=0+"px";
			GuReturnElement(GuImageID).width=GuImageWidthReal*GuImageZoomRatio.toFixed(2);
			GuReturnElement(GuImageID).height=GuImageHeightReal*GuImageZoomRatio.toFixed(2);
			}
		if (GuZoomType=="zoomin") {
			GuReturnElement(GuImageID).width=GuImageWidthPresent*1.2;
			GuReturnElement(GuImageID).height=GuImageHeightPresent*1.2;
			}
		if (GuZoomType=="zoomout") {
			GuReturnElement(GuImageID).width=GuImageWidthPresent/1.2;
			GuReturnElement(GuImageID).height=GuImageHeightPresent/1.2;
			}

		}
	}


function GuLayerClickMove(GuLayerID,GuMoveDirection) {
	if ((GuLayerID!=null)&&(GuLayerID!="")) {
		if (GuMoveDirection=="up") {
			GuReturnElement(GuLayerID).style.top=(parseInt(GuReturnElement(GuLayerID).style.top)+100)+"px";
			}
		if (GuMoveDirection=="down") {
			GuReturnElement(GuLayerID).style.top=(parseInt(GuReturnElement(GuLayerID).style.top)-100)+"px";
			}
		if (GuMoveDirection=="left") {
			GuReturnElement(GuLayerID).style.left=(parseInt(GuReturnElement(GuLayerID).style.left)+100)+"px";
			}
		if (GuMoveDirection=="right") {
			GuReturnElement(GuLayerID).style.left=(parseInt(GuReturnElement(GuLayerID).style.left)-100)+"px";
			}
		}
	}


function GuListaspContentSummaryChange(GuElementLayer,GuElementNumber,GuCookiesName,GuElementHref,GuElementHidden,GuElementShow) {
	if ((GuElementLayer!=null)&&(GuElementLayer!="")) {
		var GuElementNumber;
		if ((GuElementNumber==null)||(GuElementNumber=="")) {
			GuElementNumber=10;
			}
		for (var i=1;i<=GuElementNumber;i++) {
			if (GuReturnElement(GuElementLayer+i)!=null) {
				if (GuReturnElement(GuElementLayer+i).style.display=="none") {
					GuReturnElement(GuElementLayer+i).style.display="";
					if ((GuCookiesName!=null)&&(GuCookiesName!="")) {
						GuCookiesCreate(GuCookiesName,'Show',30,'/');
						}
					if ((GuElementHref!=null)&&(GuElementHidden!=null)) {
						GuReturnElement(GuElementHref).innerHTML=GuElementHidden;
						}
					}
				else {
					GuReturnElement(GuElementLayer+i).style.display="none";
					if ((GuCookiesName!=null)&&(GuCookiesName!="")) {
						GuCookiesCreate(GuCookiesName,'Hidden',30,'/');
						}
					if ((GuElementHref!=null)&&(GuElementShow!=null)) {
						GuReturnElement(GuElementHref).innerHTML=GuElementShow;
						}
					}
				}
			}
		}
	}


function GuListaspContentSummaryInitialization(GuElementLayer,GuElementNumber,GuCookiesName,GuElementHref,GuElementHidden,GuElementShow,GuElementDefault) {
	if (GuCookiesRead(GuCookiesName)!=null) {
		if (GuCookiesRead(GuCookiesName)=="Show") {
			for (var i=1;i<=GuElementNumber;i++) {
				if (GuReturnElement(GuElementLayer+i)!=null) {
					GuReturnElement(GuElementLayer+i).style.display="";
					if ((GuElementHref!=null)&&(GuElementHidden!=null)) {
						GuReturnElement(GuElementHref).innerHTML=GuElementHidden;
						}
					}
				}
			}
		else {
			for (var i=1;i<=GuElementNumber;i++) {
				if (GuReturnElement(GuElementLayer+i)!=null) {
					GuReturnElement(GuElementLayer+i).style.display="none";
					if ((GuElementHref!=null)&&(GuElementShow!=null)) {
						GuReturnElement(GuElementHref).innerHTML=GuElementShow;
						}
					}
				}
			}
		}
	else {
		if (GuElementDefault=="Show") {
			GuCookiesCreate(GuCookiesName,'Show',30,'/');
			for (var i=1;i<=GuElementNumber;i++) {
				if (GuReturnElement(GuElementLayer+i)!=null) {
					GuReturnElement(GuElementLayer+i).style.display="";
					if ((GuElementHref!=null)&&(GuElementHidden!=null)) {
						GuReturnElement(GuElementHref).innerHTML=GuElementHidden;
						}
					}
				}
			}
		else {
			GuCookiesCreate(GuCookiesName,'Hidden',30,'/');
			for (var i=1;i<=GuElementNumber;i++) {
				if (GuReturnElement(GuElementLayer+i)!=null) {
					GuReturnElement(GuElementLayer+i).style.display="none";
					if ((GuElementHref!=null)&&(GuElementShow!=null)) {
						GuReturnElement(GuElementHref).innerHTML=GuElementShow;
						}
					}
				}
			}	
		}
	}


function GuSoftwareaspContentSummaryChange(GuElementLayerAll,GuElementLayerPart,GuElementHref,GuElementTextAll,GuElementTextPart) {
	if ((GuElementLayerAll!=null)&&(GuElementLayerAll!="")) {
		if (GuReturnElement(GuElementLayerAll)!=null) {
			if (GuReturnElement(GuElementLayerAll).style.display=="none") {
				GuReturnElement(GuElementLayerAll).style.display="";
				GuReturnElement(GuElementLayerPart).style.display="none";
				GuReturnElement(GuElementHref).innerHTML=GuElementTextPart;
				}
			else {
				GuReturnElement(GuElementLayerAll).style.display="none";
				GuReturnElement(GuElementLayerPart).style.display="";
				GuReturnElement(GuElementHref).innerHTML=GuElementTextAll;
				}
			}
		}
	}


function GuSizeConversion(GuSizeUnit,GuInputSize,GuInputUnit) {
	if (isNaN(GuInputSize.value)) {
		GuInputSize.value="请输入数字";
		GuInputSize.focus();
		GuInputSize.style.backgroundColor="#FFECEC";
		}
	else {
		if (GuSizeUnit=="KB") {
			if (GuInputUnit.value=="KB") {
				GuInputSize.value=GuInputSize.value;
				}
			if (GuInputUnit.value=="MB") {
				GuInputSize.value=GuInputSize.value*1024;
				}
			if (GuInputUnit.value=="GB") {
				GuInputSize.value=GuInputSize.value*1024*1024;
				}
			GuInputUnit.value="KB";
			}
		if (GuSizeUnit=="MB") {
			if (GuInputUnit.value=="KB") {
				GuInputSize.value=GuInputSize.value/1024;
				}
			if (GuInputUnit.value=="MB") {
				GuInputSize.value=GuInputSize.value;
				}
			if (GuInputUnit.value=="GB") {
				GuInputSize.value=GuInputSize.value*1024;
				}
			GuInputUnit.value="MB";
			}
		if (GuSizeUnit=="GB") {
			if (GuInputUnit.value=="KB") {
				GuInputSize.value=GuInputSize.value/1024/1024;
				}
			if (GuInputUnit.value=="MB") {
				GuInputSize.value=GuInputSize.value/1024;
				}
			if (GuInputUnit.value=="GB") {
				GuInputSize.value=GuInputSize.value;
				}
			GuInputUnit.value="GB";
			}
		}
	}


function GuSortSelect(GuSortA,GuSortB) {
	GuSortB.length=0;
	var SortA=GuSortA;
	for (var i=0;i<SBCount;i++) {
		if (SortB[i][0]==SortA) {
			GuSortB.options[GuSortB.length]=new Option(SortB[i][2],SortB[i][1]);
			}
		}
	}


function GuHTML2JavaScript(GuElementName) {
	if (GuElementName!=null) {
		GuElementName.value="document.write(\""+GuElementName.value.replace(/\\/g,"\\\\").replace(/\\/g,"\\/").replace(/\'/g,"\\\'").replace(/\"/g,"\\\"").split('\r\n').join("\");\ndocument.write(\"")+"\");"
		}
	}


function GuJavaScript2HTML(GuElementName) {
	if (GuElementName!=null) {
		GuElementName.value=GuElementName.value.replace(/document.write\("/g,"").replace(/"\);/g,"").replace(/\\\"/g,"\"").replace(/\\\'/g,"\'").replace(/\\\//g,"\/").replace(/\\\\/g,"\\");
		}
	}


function GuFlashPlayerLoad(GuFlashID,GuFlashPath,GuFlashVars,GuFlashWidth,GuFlashHeight,GuFlashAllowScriptAccess,GuFlashBGColor,GuFlashWMode) {
	if ((GuFlashID!=null)&&(GuFlashID!="")&&(GuFlashPath!=null)&&(GuFlashPath!="")) {
		if ((GuFlashWidth==null)||(GuFlashWidth=="")) {
			GuFlashWidth=100;
			}
		if ((GuFlashHeight==null)||(GuFlashHeight=="")) {
			GuFlashHeight=72;
			}
		if ((GuFlashWMode==null)||(GuFlashWMode=="")) {
			GuFlashWMode="opaque";
			}
		document.write("<object id='GuFlashPlayer_"+GuFlashID+"' classid='clsid:D27CDB6E-AE6D-11CF-96B8-444553540000' codebase='http://fpdownload.macromedia.com/get/shockwave/cabs/flash/swflash.cab#version=7,0,0,0' width='"+GuFlashWidth+"' height='"+GuFlashHeight+"' border='0' align=''>");
		document.write("<param name='movie' value='"+GuFlashPath+"' />");
		document.write("<param name='flashvars' value='"+GuFlashVars+"' />");
		document.write("<param name='quality' value='high' />");
		document.write("<param name='bgcolor' value='"+GuFlashBGColor+"' />");
		document.write("<param name='wmode' value='"+GuFlashWMode+"' />");
		document.write("<embed type='application/x-shockwave-flash' name='GuFlashPlayer_"+GuFlashID+"' pluginspage='http://www.adobe.com/go/getflashplayer' src='"+GuFlashPath+"' flashVars='"+GuFlashVars+"' width='"+GuFlashWidth+"' height='"+GuFlashHeight+"' allowScriptAccess='"+GuFlashAllowScriptAccess+"' quality='high' bgcolor='"+GuFlashBGColor+"' wmode='"+GuFlashWMode+"' align='' />");
		document.write("</object>");
		}
	}


function GuSystemMessage(GuMessage) {
	if (GuReturnElement('GuJavaScript_GuSystemMessage')!=null) {
		GuReturnElement('GuJavaScript_GuSystemMessage').innerHTML=GuMessage;
		GuReturnElement('Layer_GuSystemMessage').style.display="none";
		}
	}

//-->

